/*


*/
#include "LPC4357_IO.h"

/*******************************************************************************
* Function Name  : LED_GPIO_Configuration
* Description    : None
* Input          : None
* Output         : None
* Return         : None
* Attention		 : None
*******************************************************************************/
void LED_GPIO_Configuration(void)
{
	scu_pinmux(LED1_Pin_name_PORT ,LED1_Pin_name_BIT , (MD_PUP | MD_EZI | MD_ZI), LED1_pin_Function); 	
	GPIO_SetDir(LED1_GPIO_PORT,(1<<LED1_GPIO_BIT), 1);
	
	scu_pinmux(LED2_Pin_name_PORT ,LED2_Pin_name_BIT , (MD_PUP | MD_EZI | MD_ZI), LED2_pin_Function); 	
	GPIO_SetDir(LED2_GPIO_PORT,(1<<LED2_GPIO_BIT), 1);
	
	scu_pinmux(LED3_Pin_name_PORT ,LED3_Pin_name_BIT , (MD_PUP | MD_EZI | MD_ZI), LED3_pin_Function); 
	GPIO_SetDir(LED3_GPIO_PORT,(1<<LED3_GPIO_BIT), 1);	
	
	scu_pinmux(LED4_Pin_name_PORT ,LED4_Pin_name_BIT , (MD_PUP | MD_EZI | MD_ZI), LED4_pin_Function	); 
	GPIO_SetDir(LED4_GPIO_PORT,(1<<LED4_GPIO_BIT), 1);	
	
	
	GPIO_ClearValue(LED1_GPIO_PORT,(1<<LED1_GPIO_BIT));	
	GPIO_ClearValue(LED2_GPIO_PORT,(1<<LED2_GPIO_BIT));	
	GPIO_ClearValue(LED3_GPIO_PORT,(1<<LED3_GPIO_BIT));	
	GPIO_ClearValue(LED4_GPIO_PORT,(1<<LED4_GPIO_BIT));	

}

/*******************************************************************************
* Function Name  : JOY_KEY_Configuration
* Description    : None
* Input          : None
* Output         : None
* Return         : None
* Attention		 : None
*******************************************************************************/

void JOY_KEY_Configuration(void)
{
	scu_pinmux(JOY_A_Pin_name_PORT ,JOY_A_Pin_name_BIT , MD_PUP | MD_EZI, JOY_A_pin_Function);
	GPIO_SetDir(JOY_A_GPIO_PORT,(1<<JOY_A_GPIO_BIT), 0);  //- 0: Input.
	
	scu_pinmux(JOY_B_Pin_name_PORT ,JOY_B_Pin_name_BIT , MD_PUP | MD_EZI, JOY_B_pin_Function);
	GPIO_SetDir(JOY_B_GPIO_PORT,(1<<JOY_B_GPIO_BIT), 0);  //- 0: Input.
	
	scu_pinmux(JOY_C_Pin_name_PORT ,JOY_C_Pin_name_BIT , MD_PUP | MD_EZI, JOY_C_pin_Function);
	GPIO_SetDir(JOY_C_GPIO_PORT,(1<<JOY_C_GPIO_BIT), 0);  //- 0: Input.
	
	scu_pinmux(JOY_D_Pin_name_PORT ,JOY_D_Pin_name_BIT , MD_PUP | MD_EZI, JOY_D_pin_Function);
	GPIO_SetDir(JOY_D_GPIO_PORT,(1<<JOY_D_GPIO_BIT), 0);  //- 0: Input.
	
	scu_pinmux(JOY_PRESS_Pin_name_PORT ,JOY_PRESS_Pin_name_BIT , MD_PUP | MD_EZI, JOY_PRESS_pin_Function);
	GPIO_SetDir(JOY_PRESS_GPIO_PORT,(1<<JOY_PRESS_GPIO_BIT), 0);  //- 0: Input.
	
	scu_pinmux(KEY1_Pin_name_PORT ,KEY1_Pin_name_BIT , MD_PUP | MD_EZI, KEY1_pin_Function);
	GPIO_SetDir(KEY1_GPIO_PORT,(1<<KEY1_GPIO_BIT), 0);  //- 0: Input.
	
	scu_pinmux(KEY2_Pin_name_PORT ,KEY2_Pin_name_BIT , MD_PUP | MD_EZI, KEY2_pin_Function);
	GPIO_SetDir(KEY2_GPIO_PORT,(1<<KEY2_GPIO_BIT), 0);  //- 0: Input.
}

